using System.Text.Json.Serialization;

namespace salesbook.Shared.Core.Dto;

public class ContactDTO
{
    [JsonPropertyName("codContact")]
    public string CodContact { get; set; }

    [JsonPropertyName("isContact")]
    public bool IsContact { get; set; }

    [JsonPropertyName("codVtip")]
    public string? CodVtip { get; set; }

    [JsonPropertyName("codVage")]
    public string? CodVage { get; set; }

    [JsonPropertyName("ragSoc")]
    public string? RagSoc { get; set; }

    [JsonPropertyName("indirizzo")]
    public string? Indirizzo { get; set; }

    [JsonPropertyName("cap")]
    public string? Cap { get; set; }

    [JsonPropertyName("citta")]
    public string? Citta { get; set; }

    [JsonPropertyName("prov")]
    public string? Prov { get; set; }

    [JsonPropertyName("nazione")]
    public string? Nazione { get; set; }

    [JsonPropertyName("telefono")]
    public string? Telefono { get; set; }

    [JsonPropertyName("fax")]
    public string Fax { get; set; }

    [JsonPropertyName("partIva")]
    public string PartIva { get; set; }

    [JsonPropertyName("codFisc")]
    public string CodFisc { get; set; }

    [JsonPropertyName("note")]
    public string Note { get; set; }

    [JsonPropertyName("personaRif")]
    public string PersonaRif { get; set; }

    [JsonPropertyName("eMail")]
    public string? EMail { get; set; }

    [JsonPropertyName("eMailPec")]
    public string EMailPec { get; set; }

    public ContactDTO Clone()
    {
        return (ContactDTO)MemberwiseClone();
    }
}